#include <dv-processing/io/camera/davis.hpp>

#include <chrono>

int main() {
	using namespace std::chrono_literals;

	// Open a Davis camera
	dv::io::camera::DAVIS capture{};

	// Enable frame auto-exposure (default behavior)
	capture.setAutoExposure(true);

	// Disable auto-exposure, set frame exposure (here 10ms)
	capture.setAutoExposure(false);
	capture.setExposureDuration(10ms);

	// Read current frame exposure duration value
	std::chrono::microseconds duration = capture.getExposureDuration();

	// Set frame interval duration (here 33ms for ~30FPS)
	capture.setFrameInterval(33ms);

	// Read current frame interval duration value
	std::chrono::microseconds interval = capture.getFrameInterval();

	return 0;
}
